import { NgZone } from '@angular/core';
import { PortalHost, Portal } from '../portal/portal';
import { Observable } from 'rxjs/Observable';
import { OverlayConfig } from './overlay-config';
export declare class OverlayRef implements PortalHost {
    private portalHost;
    private pane;
    private ngZone;
    private overlayConfig;
    private backdropElement;
    private _backdropClick;
    private attachments;
    private detachments;
    private positionStrategy;
    constructor(portalHost: PortalHost, pane: HTMLElement, ngZone: NgZone, overlayConfig: OverlayConfig);
    readonly overlayElement: HTMLElement;
    attach(portal: Portal<any>): any;
    detach(): Promise<any>;
    dispose(): void;
    hasAttached(): boolean;
    backdropClick(): Observable<void>;
    updatePostion(): void;
    private attachBackdrop();
    private detachBackdrop();
}
