import { PositionStrategy } from './position-strategy';
export declare class GlobalPostionStrategy implements PositionStrategy {
    private _wrapper;
    apply(element: HTMLElement): Promise<void>;
    dispose(): void;
    top(value: string): this;
    left(value: string): this;
    bottom(value: string): this;
    right(value: string): this;
    width(value: string): this;
    height(value: string): this;
    centerHorizontally(offset?: string): this;
    centerVertically(offset?: string): this;
}
