export class GlobalPostionStrategy {
    /**
     * @param {?} element
     * @return {?}
     */
    apply(element) {
        if (!this._wrapper) {
            this._wrapper = document.createElement('div');
            this._wrapper.classList.add('cui-global-overlay-wrapper');
            element.parentNode.insertBefore(this._wrapper, element);
            this._wrapper.appendChild(element);
        }
        let /** @type {?} */ style = element.style;
        let /** @type {?} */ parentStyle = ((element.parentNode)).style;
        // style.position = ;
        return Promise.resolve(null);
    }
    /**
     * @return {?}
     */
    dispose() {
        if (this._wrapper && this._wrapper.parentNode) {
            this._wrapper.parentNode.removeChild(this._wrapper);
            this._wrapper = null;
        }
    }
    /**
     * @param {?} value
     * @return {?}
     */
    top(value) {
        return this;
    }
    /**
     * @param {?} value
     * @return {?}
     */
    left(value) {
        return this;
    }
    /**
     * @param {?} value
     * @return {?}
     */
    bottom(value) {
        return this;
    }
    /**
     * @param {?} value
     * @return {?}
     */
    right(value) {
        return this;
    }
    /**
     * @param {?} value
     * @return {?}
     */
    width(value) {
        return this;
    }
    /**
     * @param {?} value
     * @return {?}
     */
    height(value) {
        return this;
    }
    /**
     * @param {?=} offset
     * @return {?}
     */
    centerHorizontally(offset = '') {
        return this;
    }
    /**
     * @param {?=} offset
     * @return {?}
     */
    centerVertically(offset = '') {
        return this;
    }
}
function GlobalPostionStrategy_tsickle_Closure_declarations() {
    /** @type {?} */
    GlobalPostionStrategy.prototype._wrapper;
}
