import { ElementRef, EventEmitter, AfterContentInit, TemplateRef } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { DomHandler } from '../../core/dom/dom-handler';
export declare const CHIPS_VALUE_ACCESSOR: any;
export declare class ChipsComponent implements AfterContentInit, ControlValueAccessor {
    el: ElementRef;
    domHandler: DomHandler;
    style: any;
    styleClass: string;
    disabled: boolean;
    field: string;
    placeholder: string;
    max: number;
    tabindex: number;
    inputId: string;
    allowDuplicate: boolean;
    inputStyle: any;
    inputStyleClass: any;
    onAdd: EventEmitter<any>;
    onRemove: EventEmitter<any>;
    itemTemplate: TemplateRef<any>;
    value: any;
    valueChanged: boolean;
    focus: boolean;
    onModelChange: Function;
    onModelTouched: Function;
    constructor(el: ElementRef, domHandler: DomHandler);
    ngAfterContentInit(): void;
    writeValue(value: any): void;
    registerOnChange(fn: Function): void;
    registerOnTouched(fn: Function): void;
    setDisabledState(val: boolean): void;
    resolveFieldData(data: any, field: string): any;
    onFocus(): void;
    onBlur(): void;
    removeItem(event: Event, index: number): void;
    onKeydown(event: KeyboardEvent, inputEL: HTMLInputElement): void;
    readonly maxedOut: boolean;
}
