import { ElementRef, NgZone, EventEmitter, AfterViewInit, OnDestroy } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
export declare class UeditorComponent implements AfterViewInit, OnDestroy, ControlValueAccessor {
    private el;
    private ngZone;
    private ueditor;
    private value;
    private umToolbar;
    setting: any;
    autoHeight: boolean;
    initialFrameHeight: number;
    topOffset: number;
    fontsize: number;
    toolbarMode: string;
    onReady: EventEmitter<{}>;
    onValueChange: EventEmitter<{}>;
    onFocus: EventEmitter<{}>;
    host: any;
    onChange: Function;
    onTouched: Function;
    constructor(el: ElementRef, ngZone: NgZone);
    private ueditorSettings();
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    writeValue(value: string): void;
    registerOnChange(fn: Function): void;
    registerOnTouched(fn: Function): void;
    setDisabledState(isDisabled: boolean): void;
    init(): void;
    addEvent(): void;
    destroy(): void;
    updateValue(value: string): void;
    getContent(): string;
    getPlainTxt(): string;
    getContentTxt(): string;
    hasContents(): boolean;
}
