export class ComplexValidators {
    /**
     * A value of control can't match the given regular expression
     * @param {?} nameRe
     * @return {?}
     */
    static forbiddenValidator(nameRe) {
        return (control) => {
            const /** @type {?} */ name = control.value;
            const /** @type {?} */ no = nameRe.test(name);
            return no ? { 'forbidden': { name } } : null;
        };
    }
}
