import { OnInit, QueryList, AfterContentInit, EventEmitter } from '@angular/core';
import { WizardStepComponent } from './wizard-step/wizard-step.component';
export declare class WizardComponent implements OnInit, AfterContentInit {
    direction: string;
    steps: QueryList<WizardStepComponent>;
    prevClick: EventEmitter<{}>;
    nextClick: EventEmitter<{}>;
    finishClick: EventEmitter<{}>;
    cancelClick: EventEmitter<{}>;
    activeIndex: number;
    activeStep: WizardStepComponent;
    prevEnabled: boolean;
    nextEnabled: boolean;
    finishEnabled: boolean;
    cancelEnabled: boolean;
    constructor();
    ngOnInit(): void;
    ngAfterContentInit(): void;
    itemClick(event: any, item: any, i: any): void;
    prev(): void;
    next(): void;
    finish(): void;
    cancel(): void;
    private refreshActive();
}
