import { OnInit, OnDestroy } from '@angular/core';
import { Observable } from 'rxjs/Observable';
import { CuiLayerComponent } from '../defs/layer-config';
export declare class ConfirmComponent extends CuiLayerComponent implements OnInit, OnDestroy {
    confirmText: string;
    private _ok;
    private _cancel;
    constructor();
    ngOnInit(): void;
    ngOnDestroy(): void;
    onOk(): Observable<any>;
    onCancel(): Observable<any>;
    ok(event: any): void;
    cancel(event: any): void;
}
