import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SidenavContainerComponent } from './sidenav-container/sidenav-container.component';
import { SidenavComponent } from './sidenav.component';
import { SidenavItemComponent } from './sidenav-item/sidenav-item.component';
import { CuiNavigationModule } from '../../navigation/navigation.module';
import { RouterModule } from '@angular/router';
export class SidenavModule {
}
SidenavModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    RouterModule,
                    CuiNavigationModule,
                ],
                declarations: [SidenavContainerComponent, SidenavComponent, SidenavItemComponent],
                exports: [SidenavComponent]
            },] },
];
/**
 * @nocollapse
 */
SidenavModule.ctorParameters = () => [];
function SidenavModule_tsickle_Closure_declarations() {
    /** @type {?} */
    SidenavModule.decorators;
    /**
     * @nocollapse
     * @type {?}
     */
    SidenavModule.ctorParameters;
}
