import { OnInit, EventEmitter } from '@angular/core';
import { Message } from './../message';
export declare class AlertComponent implements OnInit {
    value: Message[];
    closable: boolean;
    valueChange: EventEmitter<Message[]>;
    severityIconMap: {
        'primary': any;
        'secondary': any;
        'success': string;
        'danger': string;
        'warning': string;
        'info': string;
        'light': any;
        'dark': any;
    };
    constructor();
    ngOnInit(): void;
    hasMessages(): boolean;
    getSeverityClass(): string;
    getMessageCount(): number;
    getIconSize(): "fa-2x" | "fa-lg";
    clear(event: Event): void;
    readonly icon: string;
}
