import { OnInit } from '@angular/core';
import { CuiTreeNode } from '../defs';
import { TreeComponent } from '../tree/tree.component';
export declare class TreeNodeComponent implements OnInit {
    tree: TreeComponent;
    static ICON_CLASS: string;
    node: CuiTreeNode;
    parentNode: CuiTreeNode;
    index: number;
    isRoot: boolean;
    isFirst: boolean;
    isLast: boolean;
    me: this;
    constructor(tree: TreeComponent);
    ngOnInit(): void;
    getIcon(): string;
    hasIcon(): boolean;
    isLeaf(): boolean;
    toggle(event: Event): void;
    onNodeClick(event: MouseEvent): void;
    onNodeRightClick(event: MouseEvent): void;
    onNodeTouchEnd(): void;
    readonly isSelected: boolean;
}
