import { OnInit, EventEmitter, TemplateRef, OnChanges, SimpleChanges } from '@angular/core';
import { CuiPagination } from './defs/api';
export declare class PaginationComponent implements OnInit, OnChanges {
    pagination: CuiPagination;
    paginationChange: EventEmitter<{}>;
    goto: EventEmitter<{}>;
    totalPagesNumber: any;
    PER_PAGE_SIZES: any[];
    paginationTemplate: TemplateRef<any>;
    constructor();
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    prev(): void;
    next(): void;
    first(): void;
    last(): void;
    gotoPage(): void;
    gotoTotalPages($event: any, page: number): void;
    validation(page: any): void;
}
