import { CuiPagination } from './defs/api';
export declare class PaginationModel implements CuiPagination {
    number: number;
    numberOfElements: number;
    sort: string;
    totalElements: number;
    content: any[];
    private _size;
    private _totalPage;
    constructor(total: number, size: number, page: number, content?: any[]);
    size: number;
    readonly first: boolean;
    readonly last: boolean;
    readonly totalPages: number;
    readonly hasPrefix: boolean;
    readonly hasNext: boolean;
    private _refreshTotalPages();
}
