import { CuiTreeNode } from '../defs/defs';
import { CuiTreeModel, CuiTreeConfig } from '../defs';
export declare class TreeModel implements CuiTreeModel {
    nodes: any[];
    config: CuiTreeConfig;
    selection: CuiTreeNode[];
    virtualRoot: CuiTreeNode;
    events: any;
    constructor();
    readonly roots: CuiTreeNode[];
    fireEvent(event: any): void;
    addSelection(node: CuiTreeNode, event?: any): void;
    removeSelection(node: CuiTreeNode, event?: any): void;
    isSelected(node: CuiTreeNode): boolean;
    setData({nodes, config, events}: {
        nodes: any[];
        config: CuiTreeConfig;
        events: any;
    }): void;
    update(): void;
    findIndexInSelection(node: CuiTreeNode): number;
    filter(filterFn: (node: CuiTreeNode) => boolean, startNodes?: CuiTreeNode[] | CuiTreeNode): CuiTreeNode[];
    private _filter(filterFn, startWith);
}
