import { CuiTreeNode, CuiTreeModel, CuiTreeConfig } from '../defs';
export declare class TreeNode implements CuiTreeNode {
    data: any;
    parent: CuiTreeNode;
    treeModel: CuiTreeModel;
    index: number;
    _children: CuiTreeNode[];
    loading: boolean;
    constructor(data: any, parent: CuiTreeNode, treeModel: CuiTreeModel, index: number);
    readonly config: CuiTreeConfig;
    readonly id: string;
    readonly label: string;
    readonly selectable: boolean;
    hasChildren: boolean;
    readonly leaf: boolean;
    expanded: boolean;
    readonly icon: string;
    readonly expandedIcon: string;
    readonly collapsedIcon: string;
    partialSelected: boolean;
    selected: boolean;
    readonly children: CuiTreeNode[];
    disabled: boolean;
    getField(key: any): any;
    setField(key: any, value: any): void;
    loadChildren(force?: boolean): void;
    private initChildren();
    private mergeChildren();
}
