import { OnInit, QueryList, AfterViewInit, AfterContentInit } from '@angular/core';
import { MenuItemComponent } from './menu-item/menu-item.component';
export declare type MenuDirection = 'horizontal' | 'vertical';
export declare type MenuMode = 'tiered' | 'mega' | 'inline' | 'slide' | 'plain';
export declare type MenuTheme = 'light' | 'dark';
export declare class MenuComponent implements OnInit, AfterViewInit, AfterContentInit {
    theme: MenuTheme;
    direction: MenuDirection;
    mode: MenuMode;
    subMenus: QueryList<MenuItemComponent>;
    constructor();
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngAfterContentInit(): void;
}
