import { Injectable, Optional, SkipSelf } from '@angular/core';
export class OverlayContainer {
    /**
     * @return {?}
     */
    getContainerElement() {
        if (!this._containerElement) {
            this.createContainer();
        }
        return this._containerElement;
    }
    /**
     * @return {?}
     */
    createContainer() {
        let /** @type {?} */ container = document.createElement('div');
        container.classList.add('cui-overlay-container');
        document.body.appendChild(container);
        this._containerElement = container;
    }
}
OverlayContainer.decorators = [
    { type: Injectable },
];
/**
 * @nocollapse
 */
OverlayContainer.ctorParameters = () => [];
function OverlayContainer_tsickle_Closure_declarations() {
    /** @type {?} */
    OverlayContainer.decorators;
    /**
     * @nocollapse
     * @type {?}
     */
    OverlayContainer.ctorParameters;
    /** @type {?} */
    OverlayContainer.prototype._containerElement;
}
/**
 * @param {?} parentContainer
 * @return {?}
 */
export function OVERLAY_CONTAINER_PROVIDER_FACTORY(parentContainer) {
    return parentContainer || new OverlayContainer();
}
export const /** @type {?} */ OVERLAY_CONTAINER_PROVIDER = {
    provide: OverlayContainer,
    deps: [[new Optional(), new SkipSelf(), OverlayContainer]],
    useFactory: OVERLAY_CONTAINER_PROVIDER_FACTORY
};
