import { Pipe } from '@angular/core';
import * as ObjectPath from 'object-path';
export class ObjectPathPipe {
    /**
     * @param {?} value
     * @param {?=} args
     * @return {?}
     */
    transform(value, args) {
        if ('function' == typeof args) {
            return args(value);
        }
        if ('function' == typeof args[0]) {
            return args[0](value);
        }
        return ObjectPath.get(value, args, '');
    }
}
ObjectPathPipe.decorators = [
    { type: Pipe, args: [{
                name: 'objectPath'
            },] },
];
/**
 * @nocollapse
 */
ObjectPathPipe.ctorParameters = () => [];
function ObjectPathPipe_tsickle_Closure_declarations() {
    /** @type {?} */
    ObjectPathPipe.decorators;
    /**
     * @nocollapse
     * @type {?}
     */
    ObjectPathPipe.ctorParameters;
}
