import { OnInit, EventEmitter, OnChanges, SimpleChanges, TemplateRef, AfterContentInit, QueryList } from '@angular/core';
import { CuiPagination } from '../pagination';
import { Column } from './defs/api';
import { ColTplDirective } from './col-tpl.directive';
export declare class DataTableComponent implements OnInit, AfterContentInit, OnChanges {
    private cuiRootConfig;
    columns: Column[];
    data: any[];
    pagination: CuiPagination;
    selectType?: string;
    rowActionTitle?: string;
    loading?: boolean;
    isComplexSearch?: boolean;
    dynamicColumns?: boolean;
    reload: EventEmitter<{}>;
    select: EventEmitter<{}>;
    selectionChange: EventEmitter<any>;
    isSelectAll: Boolean;
    selection: any[];
    keepSelection: boolean;
    rowId: string;
    sortFromFirst: boolean;
    rowActions: TemplateRef<any>;
    _colTpls: QueryList<ColTplDirective>;
    complexSearch: TemplateRef<any>;
    simpleSearch: TemplateRef<any>;
    listTools: TemplateRef<any>;
    actionGroup: TemplateRef<any>;
    columnsVisible: Column[];
    colTpls: {};
    _allChecked: any;
    _indeterminate: any;
    _anyCheckable: any;
    _showSerialNumber: boolean;
    _serialNumberLabel: string;
    constructor(cuiRootConfig: any | undefined);
    showSerialNumber: boolean;
    serialNumberLabel: string;
    readonly isMultipleSelect: boolean;
    ngOnInit(): void;
    ngAfterContentInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    private _refreshSort(pagination);
    _refreshSel(): void;
    fireReload(): void;
    selectAll(): void;
    selectItem(item: any, checked: any): void;
    toggleComplexSearch(): void;
    rowChecked(row: any): boolean;
    _refreshStatus(emit?: boolean): void;
    checkAll(value: any): void;
    isRowEqual(item1: any, item2: any): any;
    readonly hasData: boolean;
    updateSort(col: any): void;
}
