import { Component } from '@angular/core';
import { Subject } from 'rxjs/Subject';
import { CuiLayerComponent } from '../defs/layer-config';
export class AlertComponent extends CuiLayerComponent {
    constructor() {
        super();
        this._ok = new Subject();
    }
    /**
     * @return {?}
     */
    ngOnInit() {
    }
    /**
     * @return {?}
     */
    ngOnDestroy() {
        this._ok.complete();
    }
    /**
     * @return {?}
     */
    onOk() {
        return this._ok.asObservable();
    }
    /**
     * @param {?} event
     * @return {?}
     */
    ok(event) {
        this._ok.next(null);
    }
}
AlertComponent.decorators = [
    { type: Component, args: [{
                // selector: 'cui-alert',
                templateUrl: './alert.component.html',
                styleUrls: ['./alert.component.scss']
            },] },
];
/**
 * @nocollapse
 */
AlertComponent.ctorParameters = () => [];
function AlertComponent_tsickle_Closure_declarations() {
    /** @type {?} */
    AlertComponent.decorators;
    /**
     * @nocollapse
     * @type {?}
     */
    AlertComponent.ctorParameters;
    /** @type {?} */
    AlertComponent.prototype.alertText;
    /** @type {?} */
    AlertComponent.prototype._ok;
}
