import { ComponentRef } from '@angular/core';
import { TemplatePortal, ComponentPortal, BasePortalHost } from '../core/portal/portal';
import { PortalHostDirective } from '../core/portal/portal-directives';
export declare class LayerContainerComponent extends BasePortalHost {
    hostClass: string;
    portalHost: PortalHostDirective;
    constructor();
    attachTemplatePortal(portal: TemplatePortal): Map<string, any>;
    attachComponentPortal<T>(portal: ComponentPortal<T>): ComponentRef<T>;
}
export { LayerContainerComponent as LayerContainer };
