import { Component, Input, ContentChildren } from '@angular/core';
import { MenuItemComponent } from './menu-item/menu-item.component';
export class MenuComponent {
    constructor() {
        this.theme = 'light';
        this.direction = 'horizontal';
        this.mode = 'tiered';
    }
    /**
     * @return {?}
     */
    ngOnInit() {
    }
    /**
     * @return {?}
     */
    ngAfterViewInit() {
        // console.log(this.subMenus);
    }
    /**
     * @return {?}
     */
    ngAfterContentInit() {
        // console.log(this.subMenus);
    }
}
MenuComponent.decorators = [
    { type: Component, args: [{
                selector: 'cui-menu',
                templateUrl: './menu.component.html',
                styleUrls: ['./menu.component.scss']
            },] },
];
/**
 * @nocollapse
 */
MenuComponent.ctorParameters = () => [];
MenuComponent.propDecorators = {
    'theme': [{ type: Input },],
    'direction': [{ type: Input },],
    'mode': [{ type: Input },],
    'subMenus': [{ type: ContentChildren, args: [MenuItemComponent,] },],
};
function MenuComponent_tsickle_Closure_declarations() {
    /** @type {?} */
    MenuComponent.decorators;
    /**
     * @nocollapse
     * @type {?}
     */
    MenuComponent.ctorParameters;
    /** @type {?} */
    MenuComponent.propDecorators;
    /** @type {?} */
    MenuComponent.prototype.theme;
    /** @type {?} */
    MenuComponent.prototype.direction;
    /** @type {?} */
    MenuComponent.prototype.mode;
    /** @type {?} */
    MenuComponent.prototype.subMenus;
}
